Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: openengsb-3.0.0.M1
    • Component/s: framework
    • Labels:
      None

      Description

      when openengsb is shutdown an exception is thrown

      root@openengsb>logout
      ERROR: Bundle org.apache.aries.jpa.container [153] Error stopping bundle. (java.lang.IllegalStateException: No persisten
      ce units defined for bundle org.openengsb.framework.edb.jpa/3.0.0.cdlflex-31.)
      java.lang.IllegalStateException: No persistence units defined for bundle org.openengsb.framework.edb.jpa/3.0.0.cdlflex-3
      1.
      at org.apache.aries.jpa.container.unit.impl.ManagedPersistenceUnitInfoFactoryImpl.destroyPersistenceBundle(Manag
      edPersistenceUnitInfoFactoryImpl.java:60)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.removedBundle(PersistenceBundleManager.java:313)

      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerRemoved(BundleHookBundleTracker.
      java:513)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerRemoved(BundleHookBundleTracker.
      java:433)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$AbstractTracked.untrack(BundleHookBundleTracker.ja
      va:834)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker.close(BundleHookBundleTracker.java:196)
      at org.apache.aries.util.tracker.RecursiveBundleTracker.close(RecursiveBundleTracker.java:120)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.close(PersistenceBundleManager.java:140)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.stop(PersistenceBundleManager.java:643)
      at org.apache.felix.framework.util.SecureAction.stopActivator(SecureAction.java:667)
      at org.apache.felix.framework.Felix.stopBundle(Felix.java:2361)
      at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1214)
      at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)
      at java.lang.Thread.run(Thread.java:722)
      ERROR: Bundle org.apache.aries.jpa.container [153] Error stopping mvn:org.apache.aries.jpa/org.apache.aries.jpa.containe
      r/1.0.0 (org.osgi.framework.BundleException: Activator stop error in bundle org.apache.aries.jpa.container [153].)
      java.lang.IllegalStateException: No persistence units defined for bundle org.openengsb.framework.edb.jpa/3.0.0.cdlflex-3
      1.
      at org.apache.aries.jpa.container.unit.impl.ManagedPersistenceUnitInfoFactoryImpl.destroyPersistenceBundle(Manag
      edPersistenceUnitInfoFactoryImpl.java:60)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.removedBundle(PersistenceBundleManager.java:313)

      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerRemoved(BundleHookBundleTracker.
      java:513)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$Tracked.customizerRemoved(BundleHookBundleTracker.
      java:433)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker$AbstractTracked.untrack(BundleHookBundleTracker.ja
      va:834)
      at org.apache.aries.util.tracker.hook.BundleHookBundleTracker.close(BundleHookBundleTracker.java:196)
      at org.apache.aries.util.tracker.RecursiveBundleTracker.close(RecursiveBundleTracker.java:120)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.close(PersistenceBundleManager.java:140)
      at org.apache.aries.jpa.container.impl.PersistenceBundleManager.stop(PersistenceBundleManager.java:643)
      at org.apache.felix.framework.util.SecureAction.stopActivator(SecureAction.java:667)
      at org.apache.felix.framework.Felix.stopBundle(Felix.java:2361)
      at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1214)
      at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)
      at java.lang.Thread.run(Thread.java:722)

        Gliffy Diagrams

        Error rendering 'com.meetme.plugins.jira.gerrit-plugin:gerritreviewsmodule'. Please contact your JIRA administrators.

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Stefan Scheiber
              Reporter:
              Stefan Scheiber
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: